summaryrefslogtreecommitdiffstats
path: root/source/l/system-config-printer
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2018-05-28 19:12:29 +0000
committer Eric Hameleers <alien@slackware.com>2018-05-31 23:39:35 +0200
commit646a5c1cbfd95873950a87b5f75d52073a967023 (patch)
treeb8b8d2ab3b0d432ea69ad1a64d1c789649d65020 /source/l/system-config-printer
parentd31c50870d0bee042ce660e445c9294a59a3a65b (diff)
downloadcurrent-646a5c1cbfd95873950a87b5f75d52073a967023.tar.gz
current-646a5c1cbfd95873950a87b5f75d52073a967023.tar.xz
Mon May 28 19:12:29 UTC 201820180528191229
a/pkgtools-15.0-noarch-13.txz: Rebuilt. installpkg: default line length for --terselength is the number of columns. removepkg: added --terse mode. upgradepkg: default line length for --terselength is the number of columns. upgradepkg: accept -option in addition to --option. ap/vim-8.1.0026-x86_64-1.txz: Upgraded. d/bison-3.0.5-x86_64-1.txz: Upgraded. e/emacs-26.1-x86_64-1.txz: Upgraded. kde/kopete-4.14.3-x86_64-8.txz: Rebuilt. Recompiled against libidn-1.35. n/conntrack-tools-1.4.5-x86_64-1.txz: Upgraded. n/libnetfilter_conntrack-1.0.7-x86_64-1.txz: Upgraded. n/libnftnl-1.1.0-x86_64-1.txz: Upgraded. n/links-2.16-x86_64-2.txz: Rebuilt. Rebuilt to enable X driver for -g mode. n/lynx-2.8.9dev.19-x86_64-1.txz: Upgraded. n/nftables-0.8.5-x86_64-1.txz: Upgraded. n/p11-kit-0.23.11-x86_64-1.txz: Upgraded. n/ulogd-2.0.7-x86_64-1.txz: Upgraded. n/whois-5.3.1-x86_64-1.txz: Upgraded. xap/network-manager-applet-1.8.12-x86_64-1.txz: Upgraded. xap/vim-gvim-8.1.0026-x86_64-1.txz: Upgraded.
Diffstat (limited to 'source/l/system-config-printer')
-rw-r--r--source/l/system-config-printer/slack-desc12
-rwxr-xr-xsource/l/system-config-printer/system-config-printer.SlackBuild35
-rw-r--r--source/l/system-config-printer/system-config-printer.auth.dialog.2766d74a.patch28
3 files changed, 60 insertions, 15 deletions
diff --git a/source/l/system-config-printer/slack-desc b/source/l/system-config-printer/slack-desc
index fea4646e9..c1b638a71 100644
--- a/source/l/system-config-printer/slack-desc
+++ b/source/l/system-config-printer/slack-desc
@@ -1,19 +1,19 @@
# HOW TO EDIT THIS FILE:
-# The "handy ruler" below makes it easier to edit a package description. Line
+# The "handy ruler" below makes it easier to edit a package description. Line
# up the first '|' above the ':' following the base package name, and the '|'
-# on the right side marks the last column you can put a character in. You must
-# make exactly 11 lines for the formatting to be correct. It's also
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
# customary to leave one space after the ':'.
|-----handy-ruler------------------------------------------------------|
system-config-printer: system-config-printer (CUPS printer administration tool)
system-config-printer:
system-config-printer: The purpose of the tool is to configure a CUPS server (often the local
-system-config-printer: machine) using the CUPS API. The tool is written in Python, using
+system-config-printer: machine) using the CUPS API. The tool is written in Python, using
system-config-printer: pygtk for the graphical parts and Python bindings (pycups) for the
-system-config-printer: CUPS API. It is largely the same as using the CUPS web interface for
+system-config-printer: CUPS API. It is largely the same as using the CUPS web interface for
system-config-printer: configuring printers, but has the advantage of being a native
system-config-printer: application rather than a web page.
system-config-printer:
-system-config-printer: Home: http://cyberelk.net/tim/software/system-config-printer/
+system-config-printer: Home: https://github.com/zdohnal/system-config-printer
system-config-printer:
diff --git a/source/l/system-config-printer/system-config-printer.SlackBuild b/source/l/system-config-printer/system-config-printer.SlackBuild
index bea868560..794a1c4bf 100755
--- a/source/l/system-config-printer/system-config-printer.SlackBuild
+++ b/source/l/system-config-printer/system-config-printer.SlackBuild
@@ -1,7 +1,7 @@
-#!/bin/sh
+#!/bin/bash
# Copyright 2010, 2011, 2012 Eric Hameleers, Eindhoven, NL
-# Copyright 2010, 2011, 2012, 2013 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2010, 2011, 2012, 2013, 2018 Patrick J. Volkerding, Sebeka, MN, USA
# All rights reserved.
#
# Permission to use, copy, modify, and distribute this software for
@@ -23,10 +23,11 @@
# SUCH DAMAGE.
# -----------------------------------------------------------------------------
+cd $(dirname $0) ; CWD=$(pwd)
PKGNAM=system-config-printer
-VERSION=${VERSION:-$(echo $PKGNAM-*.tar.xz | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-$(echo $PKGNAM-*.tar.?z | rev | cut -f 3- -d . | cut -f 1 -d - | rev)}
+BUILD=${BUILD:-3}
NUMJOBS=${NUMJOBS:" -j7 "}
@@ -42,6 +43,14 @@ if [ -z "$ARCH" ]; then
esac
fi
+# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
+# the name of the created package would be, and then exit. This information
+# could be useful to other scripts.
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PKGNAM-$VERSION-$ARCH-$BUILD.txz"
+ exit 0
+fi
+
if [ "$ARCH" = "i586" ]; then
SLKCFLAGS="-O2 -march=i586 -mtune=i686"
LIBDIRSUFFIX=""
@@ -64,7 +73,6 @@ case "$ARCH" in
*) TARGET=$ARCH-slackware-linux ;;
esac
-CWD=$(pwd)
TMP=${TMP:-/tmp}
PKG=$TMP/package-$PKGNAM
@@ -72,7 +80,7 @@ rm -rf $PKG
mkdir -p $TMP $PKG
cd $TMP
rm -rf $PKGNAM-$VERSION
-tar xvf $CWD/$PKGNAM-$VERSION.tar.xz || exit 1
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z || exit 1
cd $PKGNAM-$VERSION || exit 1
# Make sure ownerships and permissions are sane:
@@ -83,6 +91,8 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
+zcat $CWD/system-config-printer.auth.dialog.2766d74a.patch.gz | patch -p1 --verbose || exit 1
+
# Configure:
LDFLAGS="$SLKLDFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
@@ -97,11 +107,18 @@ CFLAGS="$SLKCFLAGS" \
--with-udev-rules \
--program-prefix= \
--program-suffix= \
- --build=$TARGET
+ --build=$TARGET || exit 1
# Build and install:
make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG
+make install DESTDIR=$PKG || exit 1
+
+# install python2 cupshelpers
+python setup.py install --root=$PKG || exit 1
+
+# Generate .pyc files
+python3 -m compileall "${PKG}/usr/share/system-config-printer"
+python3 -O -m compileall "${PKG}/usr/share/system-config-printer"
# Move the udev files to the usual Slackware location:
mkdir -p $PKG/lib
@@ -109,7 +126,7 @@ mv $PKG/etc/udev $PKG/lib/
# Slackware does not use PAM. Instead, your user must be in group 'lp'.
sed -i -e 's/at_console="true"/group="lp"/g' \
- $PKG/etc/dbus-1/system.d/newprinternotification.conf
+ $PKG/etc/dbus-1/system.d/com.redhat.NewPrinterNotification.conf
# Don't clobber the configuration file:
mv $PKG/etc/dbus-1/system.d/com.redhat.NewPrinterNotification.conf{,.new}
diff --git a/source/l/system-config-printer/system-config-printer.auth.dialog.2766d74a.patch b/source/l/system-config-printer/system-config-printer.auth.dialog.2766d74a.patch
new file mode 100644
index 000000000..1c67f1a56
--- /dev/null
+++ b/source/l/system-config-printer/system-config-printer.auth.dialog.2766d74a.patch
@@ -0,0 +1,28 @@
+From 2766d74a98e44693f5e966d541a6303b966c088b Mon Sep 17 00:00:00 2001
+From: "Jan Alexander Steffens (heftig)" <jan.steffens@gmail.com>
+Date: Thu, 8 Feb 2018 17:01:01 +0100
+Subject: [PATCH] Fix constructing the auth dialog
+
+47973c80 (Remove deprecated Gtk objects) broke the auth dialog.
+
+Fixes https://bugs.archlinux.org/task/57364.
+---
+ authconn.py | 2 --
+ 1 file changed, 2 deletions(-)
+
+diff --git a/authconn.py b/authconn.py
+index 2a645dccf..0f3021cb3 100644
+--- a/authconn.py
++++ b/authconn.py
+@@ -78,11 +78,9 @@ def __init__ (self, title=None, parent=None,
+ field = auth_info_required[i]
+ label = Gtk.Label (label=_(self.AUTH_FIELD.get (field, field)))
+ label.set_alignment (0, 0.5)
+- grid.attach (label, 0, 1, i, i + 1)
+ grid.attach (label, 0, i, 1, 1)
+ entry = Gtk.Entry ()
+ entry.set_visibility (field != 'password')
+- grid.attach (entry, 1, 2, i, i + 1, 0, 0)
+ grid.attach (entry, 1, i, 1, 1)
+ self.field_entry.append (entry)
+